function [E,S] = mahal_kriging_estimate(Xs, beta, s, theta, C, invC, lambda, Xm, COV)

	m = length(Xs);

	for j = 1:m,
		c(j) = exp(-theta * ((Xm - Xs(j,:)) * COV * (Xm - Xs(j,:))'));
	end

	S = s * (1 - c * invC * c' + ((1 - ones(1,m) * invC * c')^2 / (ones(1,m) * invC * ones(m,1))));
	E = beta + sum(lambda .* c);
